Type Object
Obligatoire

Habituellement, non (mais voir aussi Quand avec-vous besoin d'une ID Complémentaire?). Obligatoire avant Firefox 48 (desktop) et Firefox pour Android.

Example
"applications": {
  "gecko": {
    "id": "addon@example.com",
    "strict_min_version": "42.0"
  }
}

La clé application contient des clés qui sont spécifiques à certaines applications hôtes.

Actuellement, elle contient uniquement une clé, gecko, qui est structurée ainsi :

  • id est l' ID de l'extension. Facultatif à partir de Firefox 48, obligatoire avant Firefox 48. Voir les WebExtensions et l'ID des extensions pour voir quand vous devez spécifier un identifiant complémentaire.
  • strict_min_version : la version minimum de Gecko supportée. Les versions contenant un "*" ne sont pas valides dans ce domaine. Par défaut, c'est "42a1".
  • strict_max_version : la version maximum de Gecko supportée. Si la version de Firefox sur laquelle l'extension est en cours d'installation ou d'exécution est au-dessus de cette version, l'extension sera désactivée ou ne sera pas autorisée à être installée. Par défaut, c'est "*", qui désactive la vérification d'une version maximale.
  • update_url est lien vers un manifeste de mise à jour personnalisé. Notez que le lien doit commencer par "https". Cette clé consiste à gérer vous-même les mises à jour d'extension (c'est-à-dire pas via AMO).

Exemples

Exemple avec toutes les clés possibles. Notez que vous n'incluez normalement ni une version strict_max_version ni une clé update_url.

"applications": {
  "gecko": {
    "id": "addon@example.com",
    "strict_min_version": "42.0",
    "strict_max_version": "50.*",
    "update_url": "https://example.com/updates.json"
  }
}

Compatibilité des navigateurs

ChromeEdgeFirefoxFirefox for AndroidOpera
Support simple Non Non4848 Non

Étiquettes et contributeurs liés au document

Étiquettes : 
 Contributeurs à cette page : loella16, hellosct1, Goofy, Bat
 Dernière mise à jour par : loella16,